<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="da615752-8d0c-4b5e-b2dc-b9cb029aaa47" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" afterPath="$PROJECT_DIR$/.idea/workspace.xml" />
      <change beforePath="$PROJECT_DIR$/Game decision model/game decision model results.py" afterPath="$PROJECT_DIR$/Game decision model/results.py" />
      <change beforePath="$PROJECT_DIR$/Game decision model/game decision model.py" afterPath="" />
      <change beforePath="$PROJECT_DIR$/Utility/utility tests.py" afterPath="$PROJECT_DIR$/Game decision model/hyper-parameter search.py" />
      <change beforePath="$PROJECT_DIR$/Utility/utility.py" afterPath="" />
      <change beforePath="$PROJECT_DIR$/bet optimizer.py" afterPath="" />
      <change beforePath="$PROJECT_DIR$/mit player.csv" afterPath="" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="hyper-parameter search.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Game decision model/hyper-parameter search.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="670">
              <caret line="52" column="10" lean-forward="false" selection-start-line="52" selection-start-column="10" selection-end-line="52" selection-end-column="10" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="results.py" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Game decision model/results.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="27" column="40" lean-forward="false" selection-start-line="27" selection-start-column="40" selection-end-line="27" selection-end-column="40" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="FolderManagement.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Utility/FolderManagement.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="416">
              <caret line="26" column="26" lean-forward="false" selection-start-line="26" selection-start-column="26" selection-end-line="26" selection-end-column="26" />
              <folding>
                <element signature="e#0#9#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Simulation.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Utility/Simulation.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="439">
              <caret line="97" column="0" lean-forward="false" selection-start-line="97" selection-start-column="0" selection-end-line="97" selection-end-column="0" />
              <folding>
                <element signature="e#0#11#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="GameDecisionModel.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Game decision model/GameDecisionModel.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1330">
              <caret line="13" column="26" lean-forward="false" selection-start-line="13" selection-start-column="26" selection-end-line="13" selection-end-column="26" />
              <folding>
                <element signature="e#0#47#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="training.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Game decision model/training.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="0">
              <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="9" selection-end-column="19" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="testing.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Game decision model/testing.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="14" column="11" lean-forward="false" selection-start-line="14" selection-start-column="11" selection-end-line="14" selection-end-column="11" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="monte carlo simulation.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/MIT player/monte carlo simulation.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="15" column="83" lean-forward="false" selection-start-line="15" selection-start-column="83" selection-end-line="15" selection-end-column="83" />
              <folding>
                <element signature="e#0#13#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>render</find>
      <find>grahical_display</find>
      <find>collector.</find>
      <find>collector.reset_game</find>
      <find>compress_rewards</find>
      <find>res</find>
      <find>self.card_his</find>
      <find>self.card_hi</find>
      <find>load_model</find>
      <find>setdefa</find>
      <find>bets_overall</find>
      <find>push_positive</find>
      <find>_if_na</find>
      <find>setBe</find>
      <find>self.slots =</find>
      <find>result</find>
      <find>text_object</find>
      <find>cor</find>
      <find>betting_step</find>
      <find>game_naturalgame_natural</find>
      <find>game_natural</find>
      <find>slots_wrong_move</find>
      <find>trenin</find>
      <find>trening</find>
      <find>traning</find>
      <find>com</find>
      <find>displa</find>
      <find>time</find>
      <find>load_mode</find>
      <find>np</find>
    </findStrings>
    <replaceStrings>
      <replace>' \n '</replace>
      <replace>traning</replace>
      <replace>training</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/modelTester.py" />
        <option value="$PROJECT_DIR$/hyperparameter search.py" />
        <option value="$PROJECT_DIR$/Game/Tests/test BJGame.py" />
        <option value="$PROJECT_DIR$/Game/BJBetHistory.py" />
        <option value="$PROJECT_DIR$/Correctness testing/test BJGame.py" />
        <option value="$PROJECT_DIR$/Models/RGCollector.py" />
        <option value="$PROJECT_DIR$/Game/BJCards.py" />
        <option value="$PROJECT_DIR$/trainerv2.py" />
        <option value="$PROJECT_DIR$/trainer.py" />
        <option value="$PROJECT_DIR$/hyperparameter results.py" />
        <option value="$PROJECT_DIR$/hyperparameter testing.py" />
        <option value="$PROJECT_DIR$/../Reinforcement Learning/Cart pole v2/ddqn.py" />
        <option value="$PROJECT_DIR$/BBDQNtrainer.py" />
        <option value="$PROJECT_DIR$/../Mercedes-benz greener manufacturing/evaluation.py" />
        <option value="$PROJECT_DIR$/basic player.py" />
        <option value="$PROJECT_DIR$/Game/BJCardHistory.py" />
        <option value="$PROJECT_DIR$/bet optimizer.py" />
        <option value="$PROJECT_DIR$/Tensorflow training/hyperparameter testing.py" />
        <option value="$PROJECT_DIR$/Tensorflow training/trainer.py" />
        <option value="$PROJECT_DIR$/Tensorflow training/hyperparameter search.py" />
        <option value="$PROJECT_DIR$/Tensorflow training/trainerRNN.py" />
        <option value="$PROJECT_DIR$/Tensorflow training/trainerv2.py" />
        <option value="$PROJECT_DIR$/Game/BJRender.py" />
        <option value="$PROJECT_DIR$/player game.py" />
        <option value="$PROJECT_DIR$/testing.py" />
        <option value="$PROJECT_DIR$/dqn model tester.py" />
        <option value="$PROJECT_DIR$/dqn model/model testing.py" />
        <option value="$PROJECT_DIR$/dqn model/model results.py" />
        <option value="$PROJECT_DIR$/DQNtrainer.py" />
        <option value="$PROJECT_DIR$/Betting model/results.py" />
        <option value="$PROJECT_DIR$/DQNtrainer v3 .py" />
        <option value="$PROJECT_DIR$/model decisions.py" />
        <option value="$PROJECT_DIR$/Game/BJPeople.py" />
        <option value="$PROJECT_DIR$/Game/BJGame.py" />
        <option value="$PROJECT_DIR$/basic mit card counting.py" />
        <option value="$PROJECT_DIR$/DQNtrainer v2.py" />
        <option value="$PROJECT_DIR$/Betting model/betting model.py" />
        <option value="$PROJECT_DIR$/Game decision model/game decision model results.py" />
        <option value="$PROJECT_DIR$/MIT player/basic mit card counting.py" />
        <option value="$PROJECT_DIR$/MIT player/monte carlo simulation.py" />
        <option value="$PROJECT_DIR$/Game decision model/game decision model.py" />
        <option value="$PROJECT_DIR$/utility.py" />
        <option value="$PROJECT_DIR$/Utility/utility tests.py" />
        <option value="$PROJECT_DIR$/Utility/Simulation.py" />
        <option value="$PROJECT_DIR$/Game decision model/GameDecision-Model.py" />
        <option value="$PROJECT_DIR$/Utility/utility.py" />
        <option value="$PROJECT_DIR$/Utility/FolderManagement.py" />
        <option value="$PROJECT_DIR$/Game decision model/training.py" />
        <option value="$PROJECT_DIR$/Game decision model/testing.py" />
        <option value="$PROJECT_DIR$/Game decision model/random hyperparameter search.py" />
        <option value="$PROJECT_DIR$/Game decision model/hyper-parameter search.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="1280" />
    <option name="y" value="-257" />
    <option name="width" value="1920" />
    <option name="height" value="1013" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Black-Jack" type="b2602c69:ProjectViewProjectNode" />
              <item name="Black-Jack" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Black-Jack" type="b2602c69:ProjectViewProjectNode" />
              <item name="Black-Jack" type="462c0819:PsiDirectoryNode" />
              <item name="Game decision model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Black-Jack" type="b2602c69:ProjectViewProjectNode" />
              <item name="Black-Jack" type="462c0819:PsiDirectoryNode" />
              <item name="Utility" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Game decision model/Results" />
      <recent name="$PROJECT_DIR$/Utility" />
      <recent name="$PROJECT_DIR$" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/dqn model" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="da615752-8d0c-4b5e-b2dc-b9cb029aaa47" name="Default" comment="" />
      <created>1512553177627</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1512553177627</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="1280" y="-257" width="1920" height="1013" extended-state="0" />
    <layout>
      <window_info id="Project" active="true" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.17708333" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Python Console" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32994923" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Data View" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <ignored-roots>
      <path value="$PROJECT_DIR$/../.." />
    </ignored-roots>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Tensorflow training/modelTester.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="496">
          <caret line="31" column="87" lean-forward="false" selection-start-line="31" selection-start-column="76" selection-end-line="31" selection-end-column="87" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJCardHistory.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="666">
          <caret line="67" column="0" lean-forward="false" selection-start-line="67" selection-start-column="0" selection-end-line="67" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/Models/BJGameBotNetwork.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/trainer.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1376">
          <caret line="86" column="28" lean-forward="false" selection-start-line="86" selection-start-column="28" selection-end-line="86" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/hyperparameter testing.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="32">
          <caret line="2" column="0" lean-forward="false" selection-start-line="2" selection-start-column="0" selection-end-line="2" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/trainerRNN.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1120">
          <caret line="70" column="13" lean-forward="false" selection-start-line="70" selection-start-column="13" selection-end-line="70" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/trainerv2.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1600">
          <caret line="100" column="22" lean-forward="false" selection-start-line="100" selection-start-column="22" selection-end-line="100" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/basic player.py" />
    <entry file="file://$PROJECT_DIR$/Tensorflow training/hyperparameter results.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-353">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Tensorflow training/hyperparameter search.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="732">
          <caret line="98" column="31" lean-forward="false" selection-start-line="98" selection-start-column="31" selection-end-line="98" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJRender.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="587">
          <caret line="47" column="36" lean-forward="false" selection-start-line="47" selection-start-column="36" selection-end-line="47" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/basic player testing results.csv" />
    <entry file="file://$PROJECT_DIR$/mit player.csv" />
    <entry file="file://$PROJECT_DIR$/dqn model/basic player testing results 2.csv">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/BBDQNtrainer.py" />
    <entry file="file://$PROJECT_DIR$/dqn model tester.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2256">
          <caret line="141" column="15" lean-forward="false" selection-start-line="141" selection-start-column="15" selection-end-line="141" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/testing.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="705">
          <caret line="255" column="21" lean-forward="false" selection-start-line="255" selection-start-column="21" selection-end-line="260" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJBetHistory.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="7" column="20" lean-forward="false" selection-start-line="7" selection-start-column="20" selection-end-line="7" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJCards.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="448">
          <caret line="29" column="24" lean-forward="false" selection-start-line="29" selection-start-column="24" selection-end-line="29" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Documents/sportradar/Merlin/merlin_mdl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="303">
          <caret line="387" column="5" lean-forward="false" selection-start-line="387" selection-start-column="5" selection-end-line="387" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DQNtrainer v3 .py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="46" column="90" lean-forward="false" selection-start-line="46" selection-start-column="90" selection-end-line="46" selection-end-column="90" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model decisions.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="863">
          <caret line="194" column="26" lean-forward="false" selection-start-line="194" selection-start-column="26" selection-end-line="194" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/player game.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="19" column="15" lean-forward="false" selection-start-line="19" selection-start-column="15" selection-end-line="19" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DQNtrainer.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="80">
          <caret line="20" column="61" lean-forward="false" selection-start-line="20" selection-start-column="37" selection-end-line="20" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJPeople.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3104">
          <caret line="195" column="26" lean-forward="false" selection-start-line="195" selection-start-column="26" selection-end-line="195" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game/BJGame.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3040">
          <caret line="196" column="17" lean-forward="false" selection-start-line="196" selection-start-column="17" selection-end-line="196" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dqn model/model results.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="64">
          <caret line="4" column="0" lean-forward="false" selection-start-line="4" selection-start-column="0" selection-end-line="5" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/basic mit card counting.py" />
    <entry file="file://$PROJECT_DIR$/bet optimizer.py" />
    <entry file="file://$PROJECT_DIR$/dqn model/model testing.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="1" selection-end-column="22" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MIT player/basic player testing results.csv">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DQNtrainer v2.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="45" column="73" lean-forward="false" selection-start-line="45" selection-start-column="73" selection-end-line="45" selection-end-column="73" />
          <folding>
            <element signature="e#0#47#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Betting model/model.png" />
    <entry file="file://$PROJECT_DIR$/Betting model/results.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="19" lean-forward="false" selection-start-line="0" selection-start-column="19" selection-end-line="2" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/Results/model.png">
      <provider selected="true" editor-type-id="images">
        <state />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/Models/Model 39/gd.parameters.pkl">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MIT player/basic mit card counting.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="470">
          <caret line="138" column="1" lean-forward="false" selection-start-line="138" selection-start-column="1" selection-end-line="138" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MIT player/monte carlo simulation.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="15" column="83" lean-forward="false" selection-start-line="15" selection-start-column="83" selection-end-line="15" selection-end-column="83" />
          <folding>
            <element signature="e#0#13#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Utility/FolderManagement.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="416">
          <caret line="26" column="26" lean-forward="false" selection-start-line="26" selection-start-column="26" selection-end-line="26" selection-end-column="26" />
          <folding>
            <element signature="e#0#9#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Utility/Simulation.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="439">
          <caret line="97" column="0" lean-forward="false" selection-start-line="97" selection-start-column="0" selection-end-line="97" selection-end-column="0" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/Testing/best training action distribution.pkl">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/Testing/best training results.csv">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-15403">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Utility/utility tests.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Utility/utility.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="32">
          <caret line="2" column="0" lean-forward="false" selection-start-line="2" selection-start-column="0" selection-end-line="2" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/testing.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="14" column="11" lean-forward="false" selection-start-line="14" selection-start-column="11" selection-end-line="14" selection-end-column="11" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/GameDecisionModel.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1330">
          <caret line="13" column="26" lean-forward="false" selection-start-line="13" selection-start-column="26" selection-end-line="13" selection-end-column="26" />
          <folding>
            <element signature="e#0#47#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/training.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="9" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/game decision model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-690">
          <caret line="326" column="16" lean-forward="true" selection-start-line="326" selection-start-column="16" selection-end-line="326" selection-end-column="16" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Betting model/betting model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="10" column="0" lean-forward="false" selection-start-line="10" selection-start-column="0" selection-end-line="10" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/hyper-parameter search.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="670">
          <caret line="52" column="10" lean-forward="false" selection-start-line="52" selection-start-column="10" selection-end-line="52" selection-end-column="10" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Game decision model/results.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="27" column="40" lean-forward="false" selection-start-line="27" selection-start-column="40" selection-end-line="27" selection-end-column="40" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>